import { RenderNodeProps } from '@udecode/slate-plugins-core';
import { IStyle } from '@uifabric/styling';
import { IStyleFunctionOrObject } from '@uifabric/utilities';
export interface NodeStyleProps extends Pick<RenderNodeProps, 'className'> {
}
export interface NodeStyleSet {
    /**
     * Style for the root element.
     */
    root?: IStyle;
}
export declare type NodeStyles<TStyleProps = NodeStyleProps, TStyleSet = NodeStyleSet> = IStyleFunctionOrObject<TStyleProps, TStyleSet>;
export interface StyledNodeProps<TStyleProps = NodeStyleProps, TStyleSet = NodeStyleSet> extends RenderNodeProps {
    /**
     * Call to provide customized styling that will layer on top of the variant rules.
     */
    styles?: NodeStyles<TStyleProps, TStyleSet>;
    as?: any;
}
//# sourceMappingURL=StyledNode.types.d.ts.map